Share via


Job Agents - Get

Gets a job agent.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/jobAgents/{jobAgentName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
jobAgentName
path True

string

The name of the job agent to be retrieved.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

JobAgent

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get a job agent

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1?api-version=2025-01-01

Sample response

{
  "name": "agent1",
  "type": "Microsoft.Sql/servers/jobAgents",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/jobAgents/agent1",
  "location": "southeastasia",
  "properties": {
    "databaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/server1/databases/db1"
  },
  "sku": {
    "name": "JA400",
    "capacity": 400
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

JobAgent

An Azure SQL job agent.

JobAgentIdentity

Azure Active Directory identity configuration for a resource.

JobAgentIdentityType

The job agent identity type

JobAgentState

The state of the job agent.

JobAgentUserAssignedIdentity

Azure Active Directory identity configuration for a resource.

Sku

An ARM Resource SKU.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

JobAgent

An Azure SQL job agent.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

JobAgentIdentity

The identity of the job agent.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.databaseId

string (arm-id)

Resource ID of the database to store job metadata in.

properties.state

JobAgentState

The state of the job agent.

sku

Sku

The name and tier of the SKU.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

JobAgentIdentity

Azure Active Directory identity configuration for a resource.

Name Type Description
tenantId

string (uuid)

The job agent identity tenant id

type

JobAgentIdentityType

The job agent identity type

userAssignedIdentities

<string,  JobAgentUserAssignedIdentity>

The resource ids of the user assigned identities to use

JobAgentIdentityType

The job agent identity type

Value Description
None

None

SystemAssigned

SystemAssigned

UserAssigned

UserAssigned

SystemAssignedUserAssigned

SystemAssignedUserAssigned

JobAgentState

The state of the job agent.

Value Description
Creating

Creating

Ready

Ready

Updating

Updating

Deleting

Deleting

Disabled

Disabled

JobAgentUserAssignedIdentity

Azure Active Directory identity configuration for a resource.

Name Type Description
clientId

string (uuid)

The Azure Active Directory client id.

principalId

string (uuid)

The Azure Active Directory principal id.

Sku

An ARM Resource SKU.

Name Type Description
capacity

integer (int32)

Capacity of the particular SKU.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU, typically, a letter + Number code, e.g. P3.

size

string

Size of the particular SKU

tier

string

The tier or edition of the particular SKU, e.g. Basic, Premium.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.